require('settings')
require('mappings')

local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable", -- latest stable release
    lazypath,
  })
end
vim.opt.rtp:prepend(lazypath)

require('lazy').setup({
  import = 'plugins',
  change_detection = {
    enabled = false,
  },
})
-- {
--   { 'nvim-telescope/telescope.nvim', dependencies = { 'nvim-lua/plenary.nvim' } },
--   { 'neovim/nvim-lspconfig' },
-- })

-- require('telescope').setup()
-- require('lspconfig').clangd.setup()
-- require('lspconfig').cmake.setup()
-- require('lspconfig').lua_ls.setup()
